Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet
Class FutureReply

    java.lang.Object
      |
      +--com.ibm.aglet.FutureReply

public abstract class FutureReply
extends java.lang.Object

The `FutureReply` class is a abstract class for the result of a future message.

Version:
  1.50 $Date: 2001/07/28 06:33:51 $
Author:
  Mitsuru Oshima
See Also:
  `AgletProxy.sendAsyncMessage(com.ibm.aglet.Message)`

Constructor Summary
`FutureReply()`

Method Summary
`protected abstract void` | `addedTo(ReplySet set)`
`boolean` | `getBooleanReply()` Gets the reply as a primitive boolean.
`char` | `getCharReply()` Gets the reply as a primitive char.
`double` | `getDoubleReply()` Gets the reply as a primitive double.
`float` | `getFloatReply()` Gets the reply as a primitive float.
`int` | `getIntReply()` Gets the reply as a primitive integer.
`long` | `getLongReply()` Gets the reply as a primitive long.
`abstract java.lang.Object` | `getReply()` If the message was not handled the receiver, MessageNotHandled exception is raised.
`abstract boolean` | `isAvailable()` Checks if the reply is available or not.
`abstract void` | `waitForReply()` Waits for a reply until the reply is available.
`abstract void` | `waitForReply(long timeout)` Waits for a reply with specific timeout value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FutureReply

    public FutureReply()

Method Detail

### addedTo

    protected abstract void addedTo(ReplySet set)

### getBooleanReply

    public boolean getBooleanReply()
                            throws MessageException,
                                   NotHandledException

  Gets the reply as a primitive boolean.

### getCharReply

    public char getCharReply()
                      throws MessageException,
                             NotHandledException

  Gets the reply as a primitive char.

### getDoubleReply

    public double getDoubleReply()
                          throws MessageException,
                                 NotHandledException

  Gets the reply as a primitive double.

### getFloatReply

    public float getFloatReply()
                        throws MessageException,
                               NotHandledException

  Gets the reply as a primitive float.

### getIntReply

    public int getIntReply()
                    throws MessageException,
                           NotHandledException

  Gets the reply as a primitive integer.

### getLongReply

    public long getLongReply()
                      throws MessageException,
                             NotHandledException

  Gets the reply as a primitive long.

### getReply

    public abstract java.lang.Object getReply()
                                       throws MessageException,
                                              NotHandledException

  If the message was not handled the receiver, MessageNotHandled exception is raised.
  Returns:
    reply object.
  Throws:
    `NotHandledException` - if the message was not handled.
  See Also:
    `Message.sendReply()`

### isAvailable

    public abstract boolean isAvailable()

  Checks if the reply is available or not.
  Returns:
    boolean true if the reply has been set.

### waitForReply

    public abstract void waitForReply()

  Waits for a reply until the reply is available.

### waitForReply

    public abstract void waitForReply(long timeout)

  Waits for a reply with specific timeout value.
  Parameters:
    `timeout` - the maximum time to wait in milliseconds

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD